# $upnp.getExternalIpAddress

Return the external ip address using UPnP

Usage

    $upnp.getExternalIpAddress()

Description

During the loading of the UPnP module (and during a upnp.refresh), KVIrc searches the gateway of your local network. If a gateway is found, KVIrc requests it the external Ip address associated to the router and caches it.
Using this function you can get this cached value.
Take care that if no gateway have been found or it returned no external Ip address (this can happens if its upstream (wan) link is not connected), this function returns an empty string.
It's better to check is a gateway has been found using $upnp.isgatewayavailable before using this function.

Syntax Specification

    <string> $upnp.getExternalIpAddress()

See also
$upnp.isgatewayavailable

Index, Functions

KVIrc 4.0.2.4740 Documentation
Generated by root at Tue Feb 1 06:16:04 2011